Subject: [bug#27806] openmpi changes

From: Dave Love <[email-masked]>
Date: Wed, 26 Jul 2017 17:04:42 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Dave,
>
> I adjusted the commit log and applied the first two patches.
>
> Dave Love <[email-masked]> skribis:
>
>> I assume the only one of these that's questionable is the SGE one.  It
>> used to be the default, and I don't know of any way it could be
>> problematic -- the support just looks at the environment to determine
>> whether to use qrsh for remote startup.  Debian and Fedora both enable
>> it.
>
> To be clear: if there’s no environment variable suggesting that SGE is
> being used, then it won’t try to use qrsh, right?

Yes, and that flag is long-established in other distributions which add
more intrusive support for resource managers.